
Figure - Bug #117410
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】部分强制小窗应用打开后，手势上划并停顿不能进入recent并且应用由小窗模
式变为全屏
2023-04-12 14:22 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-12

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0090.C103(X103)

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304140602

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 出现全屏的原因是由于以小窗模式启动的activity进入了paused状态,在RecentActivity finish掉自己后,以小窗启动的activity会重新刷新进入全屏状态

Description

【前提条件】

设备已开机

【测试步骤】

1.点击强制小窗应用，如应用宝微信

2、手势上划并停顿

【预期结果】

2、进入任务管理器，小窗卡片显示在正确的位置

【实际结果】

2、手势上划并停顿不能进入recent并且应用由小窗模式变为全屏

【目前出现的应用】

应用宝、微信、百度手机助手

History

#1 - 2023-04-12 15:07 - CD TEST-方永红

- Category changed from CD-FW to 窗口定制

#2 - 2023-04-13 15:30 - CD FW-鲁凯峰

■ Current conclusion

问题已经解决

■ My analysis

出现全屏的原因是由于以小窗模式启动的activity进入了paused状态,在RecentActivity finish掉自己后,以小窗启动的activity会重新刷新进入全屏状态

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.Task.resumeTopActivityInnerLocked(Task.java:6558)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.Task.resumeTopActivityUncheckedLocked(Task.java:6203)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.Task.resumeTopActivityUncheckedLocked(Task.java:6248)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.ActivityRecord.makeActiveIfNeeded(ActivityRecord.java:5362)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at
com.android.server.wm.RootWindowContainer.lambda$resumeFocusedTasksTopActivities$19(RootWindowContainer.java:2464)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.RootWindowContainer$$ExternalSyntheticLambda27.accept(Unknown

Source:13)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.Task.forAllRootTasks(Task.java:3935)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.WindowContainer.forAllRootTasks(WindowContainer.java:1770)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.WindowContainer.forAllRootTasks(WindowContainer.java:1770)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.WindowContainer.forAllRootTasks(WindowContainer.java:1770)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.WindowContainer.forAllRootTasks(WindowContainer.java:1770)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.WindowContainer.forAllRootTasks(WindowContainer.java:1770)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.WindowContainer.forAllRootTasks(WindowContainer.java:1770)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.WindowContainer.forAllRootTasks(WindowContainer.java:1763)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at

com.android.server.wm.RootWindowContainer.resumeFocusedTasksTopActivities(RootWindowContainer.java:2444)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at

com.android.server.wm.RootWindowContainer.resumeFocusedTasksTopActivities(RootWindowContainer.java:2422)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at

com.android.server.wm.RootWindowContainer.resumeFocusedTasksTopActivities(RootWindowContainer.java:2417)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.ActivityRecord.addToFinishingAndWaitForIdle(ActivityRecord.java:3268)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.ActivityRecord.completeFinishing(ActivityRecord.java:3185)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.Task.completePauseLocked(Task.java:5943)

04-11 11:24:18.413  1044  2745 D FreeFormWindowHelper:     at com.android.server.wm.ActivityRecord.activityPaused(ActivityRecord.java:5590)

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/193478

#3 - 2023-04-13 17:37 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193478 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: fix activity pauseddon't enter paused status when in freeformTC-RID: 1201-0204601IssueID: TS-R-BUG-117410Change-Id:

Idad30a511a2e63739e2d65b5ebc282699636add8

#4 - 2023-04-13 18:30 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 出现全屏的原因是由于以小窗模式启动的activity进入了paused状态,在RecentActivity finish掉自己后,以小窗启动的activity会重新刷新进入全

屏状态

#5 - 2023-04-14 15:46 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304140602

4.14

验证通过
#6 - 2023-04-14 15:46 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

Files

Phone-STS40X190078 2023-04-12 14-20-34.mp4 18.3 MB 2023-04-12 CD TEST-方永红

1415.txt 6.43 MB 2023-04-12 CD TEST-方永红
